;;=============================================================================
;;
;;     ,   AT  PS/2 -  
;;
;;==========================================================================
;;      
;; (      ).
;;
;;     .
;;   8 ,  = 125 .
;;

;      r29, r28

.equ	led_DDR		= DDRC
.equ	led_Port	= PORTC	;      
.equ	led_Pin		= 3	;   ӣ 


;
;   
;
Wait_Init:
 sbi	led_DDR, led_Pin
 cbi	led_Port, led_Pin
 ret

;
;  :     r16 
;
Wait_MsgError:
 sbi	led_Port, led_Pin
 rcall	Wait_300ms
 rcall	Wait_300ms
 rcall	Wait_300ms

Wait_ME_loop:
 cbi	led_Port, led_Pin
 rcall	Wait_300ms
 sbi	led_Port, led_Pin
 rcall	Wait_300ms
 dec	r16
 brne	Wait_ME_loop

 cbi	led_Port, led_Pin
 ret

;
;  ,  
;
Wait_300ms:
 ldi	r29, 60
Wait_300ms_loop:
 rcall	Wait_5ms
 dec	r29
 brne	Wait_300ms_loop
 ret

;
Wait_CharPause:		;           
 ldi	r29, 5
 rjmp	Wait_300ms_loop

; 
Wait_5ms:		; 20 * 250 mks
 ldi	r28, 250
Wait_5ms_loop:
 rcall	Wait_20mks
 dec	r28
 brne	Wait_5ms_loop
 ret

;
Wait_40mks:
 rcall	Wait_20mks

;
;  ,  
;
Wait_20mks:		; 3,  summ = 128
 rcall	Wait_4mks	; 32
 rcall	Wait_4mks	; 32
 rcall	Wait_4mks	; 32
 rcall	Wait_4mks	; 32
 rcall	Wait_1mks	; 8
 rcall	Wait_1mks	; 8
 rcall	Wait_1mks	; 8
 nop			; 1
 ret			; 4

Wait_4mks:		; 3,  summ = 32
 rcall	Wait_1mks	; 8
 rcall	Wait_1mks	; 8
 rcall	Wait_1mks	; 8
 			; 5
Wait_1mks:		; 3,  summ =  8
 nop			; 1
 ret			; 4
